/// The enum reference all the GLPI itemtype inherited from the GLPI class [CommonDBTM](https://forge.glpi-project.org/apidoc/class-CommonDBTM.html).
/// This mean we will keep the GLPI / PHP naming convention for the itemtype.
// ignore_for_file: constant_identifier_names
enum GlpiItemType {
  APIClient,
  Alert,
  AllAssets,
  AuthLDAP,
  AuthLdapReplicate,
  AuthMail,
  AutoUpdateSystem,
  Blacklist,
  BlacklistedMailContent,
  Budget,
  BudgetType,
  BusinessCriticity,
  Calendar,
  CalendarSegment,
  Calendar_Holiday,
  Cartridge,
  CartridgeItem,
  CartridgeItemType,
  CartridgeItem_PrinterModel,
  Certificate,
  CertificateType,
  Certificate_Item,
  Change,
  ChangeCost,
  ChangeTask,
  ChangeValidation,
  Change_Group,
  Change_Item,
  Change_Problem,
  Change_Supplier,
  Change_Ticket,
  Change_User,
  CommonDBChild,
  CommonDBConnexity,
  CommonDBRelation,
  CommonDBVisible,
  CommonDCModelDropdown,
  CommonDevice,
  CommonDeviceModel,
  CommonDeviceType,
  CommonDropdown,
  CommonITILActor,
  CommonITILCost,
  CommonITILObject,
  CommonITILTask,
  CommonITILValidation,
  CommonImplicitTreeDropdown,
  CommonTreeDropdown,
  Computer,
  ComputerAntivirus,
  ComputerModel,
  ComputerType,
  ComputerVirtualMachine,
  Computer_Item,
  Computer_SoftwareLicense,
  Computer_SoftwareVersion,
  Config,
  Consumable,
  ConsumableItem,
  ConsumableItemType,
  Contact,
  ContactType,
  Contact_Supplier,
  Contract,
  ContractCost,
  ContractType,
  Contract_Item,
  Contract_Supplier,
  CronTask,
  CronTaskLog,
  DBConnection,
  DCRoom,
  Datacenter,
  DeviceBattery,
  DeviceBatteryModel,
  DeviceBatteryType,
  DeviceCase,
  DeviceCaseModel,
  DeviceCaseType,
  DeviceControl,
  DeviceControlModel,
  DeviceDrive,
  DeviceDriveModel,
  DeviceFirmware,
  DeviceFirmwareModel,
  DeviceFirmwareType,
  DeviceGeneric,
  DeviceGenericModel,
  DeviceGenericType,
  DeviceGraphicCard,
  DeviceGraphicCardModel,
  DeviceHardDrive,
  DeviceHardDriveModel,
  DeviceMemory,
  DeviceMemoryModel,
  DeviceMemoryType,
  DeviceMotherBoardModel,
  DeviceMotherboard,
  DeviceNetworkCard,
  DeviceNetworkCardModel,
  DevicePci,
  DevicePciModel,
  DevicePowerSupply,
  DevicePowerSupplyModel,
  DeviceProcessor,
  DeviceProcessorModel,
  DeviceSensor,
  DeviceSensorModel,
  DeviceSensorType,
  DeviceSimcard,
  DeviceSimcardType,
  DeviceSoundCard,
  DeviceSoundCardModel,
  DisplayPreference,
  Document,
  DocumentCategory,
  DocumentType,
  Document_Item,
  Domain,
  DropdownTranslation,
  Enclosure,
  EnclosureModel,
  Entity,
  Entity_KnowbaseItem,
  Entity_RSSFeed,
  Entity_Reminder,
  FQDN,
  FQDNLabel,
  FieldUnicity,
  Fieldblacklist,
  Filesystem,
  Event,
  Group,
  Group_KnowbaseItem,
  Group_Problem,
  Group_RSSFeed,
  Group_Reminder,
  Group_Ticket,
  Group_User,
  Holiday,
  IPAddress,
  IPAddress_IPNetwork,
  IPNetmask,
  IPNetwork,
  IPNetwork_Vlan,
  ITILCategory,
  ITILFollowup,
  ITILSolution,
  Infocom,
  InterfaceType,
  Item_DeviceBattery,
  Item_DeviceCase,
  Item_DeviceControl,
  Item_DeviceDrive,
  Item_DeviceFirmware,
  Item_DeviceGeneric,
  Item_DeviceGraphicCard,
  Item_DeviceHardDrive,
  Item_DeviceMemory,
  Item_DeviceMotherboard,
  Item_DeviceNetworkCard,
  Item_DevicePci,
  Item_DevicePowerSupply,
  Item_DeviceProcessor,
  Item_DeviceSensor,
  Item_DeviceSimcard,
  Item_DeviceSoundCard,
  Item_Devices,
  Item_Disk,
  Item_Enclosure,
  Item_OperatingSystem,
  Item_Problem,
  Item_Project,
  Item_Rack,
  Item_Ticket,
  Itil_Project,
  KnowbaseItem,
  KnowbaseItemCategory,
  KnowbaseItemTranslation,
  KnowbaseItem_Comment,
  KnowbaseItem_Item,
  KnowbaseItem_Profile,
  KnowbaseItem_Revision,
  KnowbaseItem_User,
  LevelAgreement,
  LevelAgreementLevel,
  Line,
  LineOperator,
  LineType,
  Link,
  Link_Itemtype,
  Location,
  Log,
  MailCollector,
  Manufacturer,
  Monitor,
  MonitorModel,
  MonitorType,
  Netpoint,
  Network,
  NetworkAlias,
  NetworkEquipment,
  NetworkEquipmentModel,
  NetworkEquipmentType,
  NetworkInterface,
  NetworkName,
  NetworkPort,
  NetworkPortAggregate,
  NetworkPortAlias,
  NetworkPortDialup,
  NetworkPortEthernet,
  NetworkPortFiberchannel,
  NetworkPortInstantiation,
  NetworkPortLocal,
  NetworkPortMigration,
  NetworkPortWifi,
  NetworkPort_NetworkPort,
  NetworkPort_Vlan,
  NotImportedEmail,
  Notepad,
  Notification,
  NotificationAjaxSetting,
  NotificationEvent,
  NotificationMailingSetting,
  NotificationSetting,
  NotificationSettingConfig,
  NotificationTarget,
  NotificationTargetCartridgeItem,
  NotificationTargetCertificate,
  NotificationTargetChange,
  NotificationTargetCommonITILObject,
  NotificationTargetConsumableItem,
  NotificationTargetContract,
  NotificationTargetCrontask,
  NotificationTargetDBConnection,
  NotificationTargetFieldUnicity,
  NotificationTargetInfocom,
  NotificationTargetMailCollector,
  NotificationTargetObjectLock,
  NotificationTargetPlanningRecall,
  NotificationTargetProblem,
  NotificationTargetProject,
  NotificationTargetProjectTask,
  NotificationTargetReservation,
  NotificationTargetSavedsearch_Alert,
  NotificationTargetSoftwareLicense,
  NotificationTargetTicket,
  NotificationTargetUser,
  NotificationTemplate,
  NotificationTemplateTranslation,
  Notification_NotificationTemplate,
  OLA,
  ObjectLock,
  OlaLevel,
  OlaLevelAction,
  OlaLevelCriteria,
  OlaLevel_Ticket,
  OperatingSystem,
  OperatingSystemArchitecture,
  OperatingSystemEdition,
  OperatingSystemKernel,
  OperatingSystemKernelVersion,
  OperatingSystemServicePack,
  OperatingSystemVersion,
  PDU,
  PDUModel,
  PDUType,
  PDU_Rack,
  Pdu_Plug,
  Peripheral,
  PeripheralModel,
  PeripheralType,
  Phone,
  PhoneModel,
  PhonePowerSupply,
  PhoneType,
  PlanningRecall,
  Plug,
  Plugin,
  Printer,
  PrinterModel,
  PrinterType,
  Problem,
  ProblemCost,
  ProblemTask,
  Problem_Supplier,
  Problem_Ticket,
  Problem_User,
  Profile,
  ProfileRight,
  Profile_RSSFeed,
  Profile_Reminder,
  Profile_User,
  Project,
  ProjectCost,
  ProjectState,
  ProjectTask,
  ProjectTaskTeam,
  ProjectTaskTemplate,
  ProjectTaskType,
  ProjectTask_Ticket,
  ProjectTeam,
  ProjectType,
  PurgeLogs,
  QueuedNotification,
  RSSFeed,
  RSSFeed_User,
  Rack,
  RackModel,
  RackType,
  RegisteredID,
  Reminder,
  Reminder_User,
  RequestType,
  Reservation,
  ReservationItem,
  Rule,
  RuleAction,
  RuleAsset,
  RuleAssetCollection,
  RuleCollection,
  RuleCriteria,
  RuleDictionnaryComputerModel,
  RuleDictionnaryComputerModelCollection,
  RuleDictionnaryComputerType,
  RuleDictionnaryComputerTypeCollection,
  RuleDictionnaryDropdown,
  RuleDictionnaryDropdownCollection,
  RuleDictionnaryManufacturer,
  RuleDictionnaryManufacturerCollection,
  RuleDictionnaryMonitorModel,
  RuleDictionnaryMonitorModelCollection,
  RuleDictionnaryMonitorType,
  RuleDictionnaryMonitorTypeCollection,
  RuleDictionnaryNetworkEquipmentModel,
  RuleDictionnaryNetworkEquipmentModelCollection,
  RuleDictionnaryNetworkEquipmentType,
  RuleDictionnaryNetworkEquipmentTypeCollection,
  RuleDictionnaryOperatingSystem,
  RuleDictionnaryOperatingSystemArchitecture,
  RuleDictionnaryOperatingSystemArchitectureCollection,
  RuleDictionnaryOperatingSystemCollection,
  RuleDictionnaryOperatingSystemServicePack,
  RuleDictionnaryOperatingSystemServicePackCollection,
  RuleDictionnaryOperatingSystemVersion,
  RuleDictionnaryOperatingSystemVersionCollection,
  RuleDictionnaryPeripheralModel,
  RuleDictionnaryPeripheralModelCollection,
  RuleDictionnaryPeripheralType,
  RuleDictionnaryPeripheralTypeCollection,
  RuleDictionnaryPhoneModel,
  RuleDictionnaryPhoneModelCollection,
  RuleDictionnaryPhoneType,
  RuleDictionnaryPhoneTypeCollection,
  RuleDictionnaryPrinter,
  RuleDictionnaryPrinterCollection,
  RuleDictionnaryPrinterModel,
  RuleDictionnaryPrinterModelCollection,
  RuleDictionnaryPrinterType,
  RuleDictionnaryPrinterTypeCollection,
  RuleDictionnarySoftware,
  RuleDictionnarySoftwareCollection,
  RuleImportComputer,
  RuleImportComputerCollection,
  RuleImportEntity,
  RuleImportEntityCollection,
  RuleMailCollector,
  RuleMailCollectorCollection,
  RuleRight,
  RuleRightCollection,
  RuleRightParameter,
  RuleSoftwareCategory,
  RuleSoftwareCategoryCollection,
  RuleTicket,
  RuleTicketCollection,
  SLA,
  SLM,
  SavedSearch,
  SavedSearch_Alert,
  SavedSearch_User,
  SlaLevel,
  SlaLevelAction,
  SlaLevelCriteria,
  SlaLevel_Ticket,
  Software,
  SoftwareCategory,
  SoftwareLicense,
  SoftwareLicenseType,
  SoftwareVersion,
  SolutionTemplate,
  SolutionType,
  SsoVariable,
  State,
  Supplier,
  SupplierType,
  Supplier_Ticket,
  TaskCategory,
  TaskTemplate,
  Ticket,
  TicketCost,
  TicketFollowup,
  TicketRecurrent,
  TicketSatisfaction,
  TicketTask,
  TicketTemplate,
  TicketTemplateHiddenField,
  TicketTemplateMandatoryField,
  TicketTemplatePredefinedField,
  TicketValidation,
  Ticket_Ticket,
  Ticket_User,
  Transfer,
  User,
  UserCategory,
  UserEmail,
  UserTitle,
  VirtualMachineState,
  VirtualMachineSystem,
  VirtualMachineType,
  Vlan,
  WifiNetwork,
}
